package com.caimei365.manager.service.caimei.impl;

import com.caimei365.manager.dao.AddressMapper;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.AddressSelectVo;
import com.caimei365.manager.service.caimei.AddressService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class AddressServiceImpl implements AddressService {

    @Resource
    private AddressMapper addressMapper;


    @Override
    public ResponseJson<List<AddressSelectVo>> getSelectAddress() {
        // 获取所有省份列表
        List<AddressSelectVo> provinceList = addressMapper.selectAllAddresses();
        return ResponseJson.success(provinceList);
    }
}
